#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
    gestikk, version 0.7

    gestikk provides mouse gestures for you.
    Copyright (C) 2007-2008 Friedrich Weber, Jonas Haag

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
"""
"""
    Starter script for gestikk & configuration
"""
import sys
#import gestikk.tools as gtools # TODO

#_ = gtools.init_gettext().gettext # TODO

USAGE_MSG = \
"""\
Usage:  gestikk [-h] [-c] [-q] [-d]
        -h : display this usage message
        -c : launch configuration applet
        -q : don't print this
        -d : Debug Mode
"""                     # ^ insert \ here? (Try out to see the effect in console)

quiet = '-q' in sys.argv
debug = '-d' in sys.argv
usage = '--help' in sys.argv or '-h' in sys.argv
# get starting parameters

if not quiet or usage:
    print 'gestikk - version %s' % "0.7" #TODO #% gtools.VERSION

if usage:
        print USAGE_MSG
else:
    if not quiet:
        print   'Please *DO NOT* quit gestikk using [Ctrl]+[C]: ' + \
                'This will quit all child processes!'
    if '-c' in sys.argv:
        # launch configuration
        import gestikk.start_config as gc
        gc.main(debug)
    else:
        import gestikk.start_main as gm
        gm.main(debug)
