# -*- coding: utf-8 -*-
"""
    gestikk, version 0.7

    gestikk provides mouse gestures for you.
    Copyright (C) 2007-2008 Friedrich Weber, Jonas Haag

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
"""

import os.path
import xmlstore
import files

class GestureStore(object):
    """ a class that reads and stores the gestures in ~/.gestikk/gestures.xml """
    def __init__(self):
        xml_file = files.get_file('gestures.xml', 'configuration')
        if not os.path.exists(os.path.dirname(xml_file)):
            os.path.makedirs(os.path.dirname(xml_file))
        if os.path.exists(xml_file):
            xml = file(xml_file, 'r')
            self.gestures = xmlstore.read_gestures(xml.read())
            xml.close()
        else:
            self.gestures = {}

    def save(self):
        xml_file = files.get_file('gestures.xml', 'configuration')
        xml = file(xml_file, 'w')
        xml.write(xmlstore.store_gestures(self.gestures))
        xml.close()
