# -*- coding: utf-8 -*-
"""
    gestikk, version 0.7

    gestikk provides mouse gestures for you.
    Copyright (C) 2007-2008 Friedrich Weber, Jonas Haag

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
"""

import pygtk
pygtk.require("2.0")
import gtk
import gtk.glade

import gesture
from gtkwidgets import GestureTreeView
import files

class ConfigurationWindow:
    def __init__(self):
        BANNERFILE = "../media/gestikk-art-full/PNG/gestikk-700-70.png"
        self.gladefile = files.get_file('gestikk.glade', 'gladefile')

        self.wtree = self.new_wtree()
        self.get_widget("cw_banner").set_from_file(BANNERFILE)

        # add TreeView
        self.treeview = GestureTreeView()
        self.get_widget("cw_gestures_vbox").pack_start(self.treeview, True, True)
        self.get_widget("cw_gestures_vbox").reorder_child(self.get_widget("cw_gestures_buttons_table"), 2)

        #self.get_widget("cw_info").set_sensitive(False)
        # dummy fuck
        abc = self.treeview.add_row([self.gesture2pixbuf("(-1,1),(-1,-1)"), "Hans", "Peter"])
        self.treeview.add_row([self.treeview.pixbuf_("/usr/share/icons/Tango/32x32/apps/browser.png"), "Starte Firefox", ""], abc)
        self.treeview.add_row([self.gesture2pixbuf("(-1,1),(-1,-1)"), "Hans", "Peter"])

        # show
        self.get_widget("ConfigurationWindow").show_all()

        self.get_widget("ConfigurationWindow").set_size_request(700, 500) # hardcoded spamshitzeugs

    def get_widget(self, widget, wtree = False):
        """ return widget """
        if not wtree:
            wtree = self.wtree
        return wtree.get_widget(widget)

    def new_wtree(self):
        return gtk.glade.XML(self.gladefile)

    def gesture2pixbuf(self, _gesture, size = 20, color = "#0000FF"):
        return gesture.gesture2pixbuf(gesture.gesture2pixmap(_gesture, size, color))

if __name__ == "__main__":
    ConfigurationWindow()
    gtk.main()
