# -*- coding: utf-8 -*-
"""
    gestikk, version 0.7

    gestikk provides mouse gestures for you.
    Copyright (C) 2007-2008 Friedrich Weber, Jonas Haag

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
"""
import gtk

class IconHelper:
    """ Little helper to look up icons """
    # darf ich das? ^_^ Ein Klasse in einer Klasse... warum nicht
    # dürfen schon. ich finds nur doof *zauberstab fuchtel*
    def __init__(self):
        self.icon_theme = gtk.icon_theme_get_default()
        # we're not supporting the another-icontheme-on-each-screen-feature with this code!!11

        #screen = gtk.Window().get_screen()
        #self.icon_theme = gtk.icon_theme_get_for_screen(screen)
        # ^ or this way?

    def lookup_icon(self, name, size, flags = 0):
        """ Return gtk.IconInfo """
        icon = None
        icon = self.icon_theme.lookup_icon(name, size, flags)
        if not icon:
            icon = self.find_icon(name)
        return icon

    def find_icon(self, name):
        """
            Search for the icon in directories to get candidates like firefox
            (the icon is named firefox-3.png in Ubuntu -.-)
            Returns list with list items ([["icon1.ext"], ["icon2.ext", "icon3.ext"], [], []])
        """
        paths = self.icon_theme.get_search_path()
        icons = []
        for path in paths:
            icons.append(self.search_icon(name, path))
        icon = self.select_icon(icons)
        return icon

    def select_icon(self, icons):
        """ Select best icon. Dunno how to do this. """
        return icons

    def get_files(self, directory, patterns):
        ret = []
        if os.path.isdir(directory):
            fileList=os.listdir(directory)
            for f in fileList:
                for pattern in patterns:
                    if f.find(pattern) > -1:
                        ret.append(f)
        return ret

    def search_icon(self, name, path):
        patterns = [".png", ".svg"]
        return [file for file in self.get_files(path, patterns) if name in file]

ICON_HELPER = IconHelper()
